Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.commands
Class GUI.CommandPanel

    java.lang.Object
      rdlc.commands.GUI.CommandPanel

Enclosing class:
  GUI

    public static class GUI.CommandPanel

extends java.lang.Object

Create a swing panel which will contain all of the @{link OptionControl} objects for the given command.

Version:
  $Revision: 1.16 $
Author:
  Greg Gibeling

Field Summary
`protected GUI.OptionControl[]` | `controls` An array of the option control objects for the options of this command.
`protected javax.swing.JButton` | `goButton` The "go" button for this command.
`protected java.lang.String` | `name` The name of this command.
`protected javax.swing.JPanel` | `panel` The swing panel which will hold the various controls.

Constructor Summary
`GUI.CommandPanel(Main.CommandInfo info, Log errorLog)` Generate the GUI for the given command and put it into a swing panel.

Method Summary
`java.lang.String[]` | `getCommandOptions()` Simple accessor.
`javax.swing.JButton` | `getGoButton()` Simple accessor.
`java.lang.String` | `getName()` Simple accessor.
`javax.swing.JPanel` | `getPanel()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of this command.

### panel

    protected javax.swing.JPanel panel

  The swing panel which will hold the various controls.

### controls

    protected GUI.OptionControl[] controls

  An array of the option control objects for the options of this command.

### goButton

    protected javax.swing.JButton goButton

  The "go" button for this command.

Constructor Detail

### GUI.CommandPanel

    public GUI.CommandPanel(Main.CommandInfo info,
                            Log errorLog)

  Generate the GUI for the given command and put it into a swing panel.

  Parameters:
    `info` - The command information structure.
    `errorLog` - The error log to be reported to the user.

Method Detail

### getGoButton

    public javax.swing.JButton getGoButton()

  Simple accessor.

  Returns:
    The "go" button for this command.

### getPanel

    public javax.swing.JPanel getPanel()

  Simple accessor.

  Returns:
    The swing panel for the options of this command.

### getCommandOptions

    public java.lang.String[] getCommandOptions()

  Simple accessor.

  Returns:
    The actual command option values entered by the user.

### getName

    public java.lang.String getName()

  Simple accessor.

  Returns:
    The name of the command this object represents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD